OpenRTM-aist-1.2.1のインストール時にエラーが発生してしまいます

4 posts / 0 new
Last post
nlab-iS-group
Offline
Last seen: 1 month 3 weeks ago
Joined: 2020-08-22 21:45
OpenRTM-aist-1.2.1のインストール時にエラーが発生してしまいます

はじめまして. 中央大学 新妻研究室 修士2年 迫谷と申します.

OpenRTM-aist-1.2.1のインストール時のエラーへの対処方法を教えていただきたいです.

このソフトウェアをインストールする際に添付した画像のエラーが発生しており,「このwindowsインストーラーパッケージには問題があります。セットアップの一部として実行されるプログラムは正しく完了しませんでした.」と表示され,ソフトウェアのインストールができない状態です。よくある質問の対応策もいくつか実施してみましたが,うまくいきません.

原因がわかる方がいらっしゃいましたら教えていただきたいです.よろしくお願いします.

以下,開発環境です。 〇 PC:MousePro-T301X-1910 〇 OS:Windows10 64ビット 〇 関連するソフトウェア:   ・Python-3.7.5   ・CMake-3.15.5-win64-x64   ・Doxygen-1.8.16   ・VisualStudio-2019   ・JDK8

<追記:10/12> 今回発生したエラーはHTTPプロセス環境下でOpenRTM-aist-1.2.1のインストールを実行し,pipによるrtshell-aistのインストール処理時に認証を通過できないために生じたものであるとわかりました。このエラーへの対策としては、プロキシ情報をあたらしく環境変数として作成することで認証を通過できるようになりました。

お忙しい中返信をくださった方々,誠にありがとうございました。

参考サイト:https://punhundon-lifeshift.com/python_proxy

Undefined
root
Offline
Last seen: 4 days 6 hours ago
Joined: 2009-06-23 14:31
1.2.2をお試し下さい

ご面倒をおかけしているようですみません。 現在1.2.2がリリースされています。エラー箇所はおそらくrtshellのCORBAスタブのバージョンが一致しないためで、1.2.2ではこの問題に対応する変更が加えられているので、このエラーは回避できると思われます。 また、rtshell を使わないのであればこのエラーはほかに影響しないので、そのままお使いいただいても大丈夫です。

kawauchi
Offline
Last seen: 1 week 3 days ago
Joined: 2013-04-01 18:20
アンインストール後のrtshellを確認していただけますでしょうか

お手数をおかけしております。 私の環境(Python3.7.5)へのインストールでは報告のエラーは発生しておりません。

古いrtshellが残っているのではないか?ということが気になっております。 1.2.1版をアンインストール後、下記が残っているかどうか確認いただけますでしょうか。 残っていた場合は手動で削除後に改めて1.2.1版をインストールしてみて下さい。

 PYTHON_DIR\Scripts\rt***.exe (rtact.exe ~ rtwatch.exe 全29ファイル)
 PYTHON_DIR\Lib\site-packages\rtctree
 PYTHON_DIR\Lib\site-packages\rtctree_aist-4.2.0-py3.7.egg-info
 PYTHON_DIR\Lib\site-packages\rtshell
 PYTHON_DIR\Lib\site-packages\rtshell_aist-4.2.2.dist-info
 PYTHON_DIR\Lib\site-packages\rtsprofile
 PYTHON_DIR\Lib\site-packages\rtsprofile_aist-4.1.2.dist-info

上記以外の古いバージョン番号のディレクトリが存在していたら、それも削除して下さい。

キャプチャ画面でバージョン番号が1.2.1-RELEASEになっていたので大丈夫だとは思いますが、MD5ハッシュ値の確認はいかがでしょうか。

 >certutil -hashfile OpenRTM-aist-1.2.1-RELEASE_x86_64.msi MD5
 be6b346d61768435d812cc032bc7a529

kawauchi
Offline
Last seen: 1 week 3 days ago
Joined: 2013-04-01 18:20
認証が必要な HTTP プロキシ環境下での実行でしょうか?

OpenRTM-aist 1.2.1 または 1.2.2 のインストーラは、pipによるrtshell-aistのインストール処理を含んでおりますので、HTTPプロキシ環境下ではエラーになると思われます。

rtshellの以外はインストールは完了しているはずですので、エラー終了後手動にて下記コマンドへ--proxy オプションを追加して実行してみてください。HTTPプロキシ環境下以外でしたらエラーにならずインストールできております。よろしくお願いいたします。

 pip install rtshell-aist 

Log in or register to post comments

Download

latest Releases

For Begginers

Windows msi(installer) package (only trying samples)

C++,Python,Java,
Toolsを含む
1.2.1-RELEASE

Development environment is required for RT-Component development. See download page for details.

Number of Projects

Choreonoid

Motion editor/Dynamics simulator

OpenHRP3

Dynamics simulator

OpenRTP

Integrated Development Platform

AIST RTC collection

RT-Components collection by AIST

TORK

Tokyo Opensource Robotics Association

DAQ-Middleware

Middleware for DAQ (Data Aquisition) by KEK